import 'package:pshared/models/currency.dart';
import 'package:pshared/utils/currency.dart';


class Asset {
  final Currency currency;
  final double amount;

  const Asset({
    required this.currency,
    required this.amount,
  });
}

Asset createAsset(String currencyCode, String amount) => Asset(
  currency: currencyStringToCode(currencyCode),
  amount: double.parse(amount),
);